Bug 124055 - Mounting CD-RW failed
Mounting CD-RW failed
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-23 11:18 EDT by Hakan
Modified: 2015-01-04 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:26:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hakan 2004-05-23 11:18:17 EDT
Description of problem:
Failed mounting CD-RW whíth udf filesystem.

Version-Release number of selected component (if applicable):
Fedora Core 2

How reproducible:
All the time

Steps to Reproduce:
1.mount /dev/cdrom
2.mount -t /dev/cdrom /mnt/cdrom
3.
  
Actual results:
If I like to list, I do "ls -l /mnt/cdrom" I get this

[root@wl-mobil root]# ls -l /mnt/cdrom
totalt 0
?---------  ? ? ? ?           ? Analyzer
?---------  ? ? ? ?           ? cloud-charge.pdf
?---------  ? ? ? ?           ? Dsp
?---------  ? ? ? ?           ? light-det.pdf
[root@wl-mobil root]# 

Expected results:
dxrwx-rx-r  anything        1024   Analyzer
--rw--r--r  anything        1679   cloud-charge.pdf
dxrwx-rx-r  anything        1024   Dsp
--rw--r--r  anything        5334   light-det.pdf

Additional info:
The CD I used works ok in RedHat 7.3 amd Fedora Core 1
But failed in Fedora Core 2, test2 and test3

Regardes Hakan
Comment 1 Bill Nottingham 2004-05-25 12:41:36 EDT
Is it mounted as UDF (check /proc/mounts)?

Are there any kernel messages when you mount it?


Comment 2 Hakan 2004-05-26 12:44:13 EDT
No. Nothing else than FC2 mount the CD-RW with out to understand the
informaitions on it.
Comment 3 Bill Nottingham 2004-05-26 15:06:31 EDT
So it is mounted as iso9660?
Comment 4 Dan Spielman 2004-05-26 22:54:55 EDT
I think I have a version of this bug.
Since I've upgraded from FC1 to FC2, I can't mount my CD-RW/DVD.
Attempts to mount it get:
  mount: /dev/cdrom is not a valid block device

I'm using a Dell OptiPlex GX400, and didn't do anything funny
with the kernel, other than apply all the updates to FC1.

If I boot into the 2.4.22 kernel, then I can mount the CD just fine.
Comment 5 Dan Spielman 2004-05-26 23:07:14 EDT
dmesg reports:

hdc: SAMSUNG CDRW/DVD SM-308B, ATAPI CD/DVD-ROM drive
Comment 6 Dan Spielman 2004-05-26 23:18:11 EDT
I found the solution to my problem:
  it was to cut  hdc=ide-scsi out of my grub.conf

Sorry for taking your time.
Comment 7 Hakan 2004-05-27 13:08:53 EDT
Ok.
But I did never had that entry in my grub.conf. No change if I have it
or not in grub.conf.
Comment 8 Hakan 2004-05-27 13:11:49 EDT
If I mount the cd like
mount -t iso9660 /dev/cdrom /mnt/cdrom
I have the CD mounte like iso9660. And I can se the file to make a
win98-machine to browse the udf format..
Comment 9 Bill Nottingham 2004-05-27 15:26:16 EDT
I'm sorry, I don't understand the last sentence of your comment.

Are you saying that:

mount -t iso9660 /dev/cdrom /mnt/cdrom

makes it 'work', but just:

mount /dev/cdrom /mnt/cdrom

gives you garbage?
Comment 10 Hakan 2004-05-27 16:32:11 EDT
Ok here it is in all.
[root@wl-mobil root]# mount -t udf /dev/cdrom /mnt/cdrom
mount: blockenhet /dev/cdrom är skrivskyddad, monterar som endast läsbar
[root@wl-mobil root]# ll /mnt/cdrom
totalt 0
?---------  ? ? ? ?           ? 0-bbs-config
?---------  ? ? ? ?           ? 10ghz
?---------  ? ? ? ?           ? 1999-1.pdf
?---------  ? ? ? ?           ? AMPRNet-listor
?---------  ? ? ? ?           ? Analyzer
?---------  ? ? ? ?           ? Log-program

[root@wl-mobil root]# umount /dev/cdrom

That is the problem
But

[root@wl-mobil root]# mount -t iso9660 /dev/cdrom /mnt/cdrom
mount: blockenhet /dev/cdrom är skrivskyddad, monterar som endast läsbar
[root@wl-mobil root]# ll /mnt/cdrom
totalt 420
-r-xr-xr-x  1 root root     43 16 jul  2001 autorun.inf
-r-xr-xr-x  1 root root  40960 13 jan  2003 udfrchk.exe
-r-xr-xr-x  1 root root 387964 13 jan  2003 udfrinst.zl
[root@wl-mobil root]#

This is OK.

The CD is formated with Roxio Easy CD and DVD Creator 6
SÃ¥ the last files belong to windows. But we can se that FC2 is not
able to read UDF fileformat but can read ios9660 file format.

Hope you understand the problem now. All above was working OK i FC1 or
older like RH7.3
Comment 11 Bill Nottingham 2004-05-27 17:23:21 EDT
OK, so appears to be an issue with the UDF filesystem support.
Comment 12 Dave Jones 2005-04-16 00:26:51 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.